Create Troubleshooting Incident
Creates Guided Network Troubleshooting incident
Creates Guided Network Troubleshooting incident
Request
URI
POST
https://{api_host}/api/ni/gnt/troubleshoot/incidents
COPY
Request Body
Creates a new network troubleshooting incident.
CreateTroubleshootingIncidentRequest
of type(s)
application/json
Optional
{
"start_entity_id": "string",
"name": "string",
"start_time": 0,
"end_time": 0
}
string
start_entity_id
Optional
start_entity_id
string
name
Optional
name
integer As int64
As int64
start_time
Optional
start_time
integer As int64
As int64
end_time
Optional
end_time
Responses
201
Created
Returns
TroubleshootingIncidentResponse
of type(s)
application/json
{
"entity_id": "string",
"start_entity_id": "string",
"name": "string",
"status": "string",
"created_time": 0,
"start_time": 0,
"end_time": 0,
"last_modified_time": 0,
"created_by": "string",
"last_modified_by": "string"
}
string
entity_id
Optional
entity_id
string
start_entity_id
Optional
start_entity_id
string
name
Optional
name
string
status
Optional
status
integer As int64
As int64
created_time
Optional
created_time
integer As int64
As int64
start_time
Optional
start_time
integer As int64
As int64
end_time
Optional
end_time
integer As int64
As int64
last_modified_time
Optional
last_modified_time
string
created_by
Optional
created_by
string
last_modified_by
Optional
last_modified_by
400
Bad Request
Returns
BadRequestResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
500
Internal error
Returns
InternalErrorResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/gnt/troubleshoot/incidents
Guided Network Troubleshooting Operations
GET
List Troubleshooting Incidents
POST
Create Troubleshooting Incident
GET
Get Troubleshooting Incident
PUT
Update Troubleshooting Incident
DELETE
Delete Troubleshooting Incident